hosyn 发表于 2022-7-6 06:30:04

What's wrong in my code f

How we can select some pline and fillet toghather them with spicifiy number by lisp?
is this code okey:cry:
 

(set ss entsel)(command "fillet" "r"0.07)

prodromosm 发表于 2022-7-6 06:37:01

try thisfillet r 0

prodromosm 发表于 2022-7-6 06:39:57

add a button in your toolbars with this
^c^c_fillet r 0

hosyn 发表于 2022-7-6 06:42:18

for selcted pline???

fixo 发表于 2022-7-6 06:47:47

Try this
 

;; to fillet polyline(setvar "filletrad" (getreal "\nRadius: "))(command "_fillet" "_P" (entsel "\nPolyline >>"))

hmsilva 发表于 2022-7-6 06:51:50

Another
 

(defun c:test (/*error* old_frad ss r) (defun *error* (msg) (if old_frad (setvar 'filletrad old_frad))(princ));; *error*(if(setq ss (ssget "_:S:E:L" '((0 . "LWPOLYLINE"))))   (progn   (setq old_frad (getvar 'filletrad))   (if (setq r (getreal (strcat "\nSpecify fillet radius : ")))   (setvar 'filletrad r))   (command "_.fillet" "_p" ss)   );; progn);; if(*error* nil) (princ));; test
 
Henrique

hosyn 发表于 2022-7-6 06:57:04

i have in my drawing some pline i wanna select them by rectangle selection mouse and with the command testfillet them (no one by one select and fillet command)
any suggestion???

fixo 发表于 2022-7-6 07:00:18

Read Help file about window selection.
here is not a place to learn basics, do it by yourself

hosyn 发表于 2022-7-6 07:03:25

Dear fixo
I'm looking for lisp file for all of pline in my drawing selected them and fillet them by certain radiusthe fillet command don't have this capability as i know.

hmsilva 发表于 2022-7-6 07:07:56

@hosyn,
as fixo wrote, you have to try to write your codes, in the help files, under "Developer Help" (I don't know if it is correct, I don't have AutoCAD at the moment), have tuturials and functions explanations, and so on...
Do a google search for "autolisp tutorials"...
 
Meanwhile, here's one to get you started studying...
 

(defun c:test (/ *error* old_frad ss r i) (defun *error* (msg)   (if old_frad   (setvar 'filletrad old_frad)   )   (princ) ) ;; *error* (if   (setq ss (ssget "_:L" '((0 . "LWPOLYLINE"))))    (progn      (setq old_frad (getvar 'filletrad))      (if (setq r (getreal (strcat "\nSpecify fillet radius : "))) (setvar 'filletrad r)      );; if      (setq i 0)      (repeat (sslength ss) (command "_.fillet" "_p" (ssname ss i)) (setq i (1+ i))      );; repeat    );; progn );; if (*error* nil) (princ));; test
 
hope that helps
Henrique
页: [1] 2
查看完整版本: What's wrong in my code f